# -*- coding: utf-8 -*-
from __future__ import unicode_literals


class NewsboxCMSEditModeMixinView(object):
    """
    Restrict to published content even if user has change permission.
    Display drafts, only if us has change permisssion (newsbox.views feature) AND cms toolbar is in
    "use draft mode" (edit_mode or build_mode)
    """
    def get_queryset(self):
        queryset = super(NewsboxCMSEditModeMixinView, self).get_queryset()
        if hasattr(self.request, 'toolbar') and not self.request.toolbar.use_draft:
            queryset = queryset.filter(self.model.q_published())
        return queryset
